.lp-img-vault * {
  box-sizing: border-box;
}

/* clear fix */
.lp-img-vault .grid:after {
  clear: both;
  content: '';
  display: block;
}

/* ---- GRID ITEM ---- */

.lp-img-vault .grid-sizer,
.lp-img-vault .grid-item {
  width: 33.333%;
}

.lp-img-vault .grid-item {
  float: left;
}

.lp-img-vault .grid-item img {
  display: block;
  max-width: 100%;
}


/* images cover up the gap */
.lp-img-vault .grid-item img {
  max-width: initial;
  width: 100.5%;
}
.lp-img-vault .grid-item {
  border: 5px solid #fff;
  position: relative;
  width: 33.2%;
}

/* Bildtext */

.lp-img-vault-img-caption {
  background: rgba(255,255,255,0.8);
  bottom: 0;
  display: block;
  font-size: 1.3rem;
  left: 0;
  padding: 5px 10px;
  position: absolute;
  right: -3px;
}

.lp-js .lp-img-vault-img-caption {
  opacity: 0;
  transition: all 0.3s ease;
}

.lp-img-vault .grid-item:hover .lp-img-vault-img-caption {
  opacity: 1;
}

.lp-js .lp-img-vault .grid-item {
  cursor: pointer;
}

/*
---------------------------------------------------------
BILDBANK
---------------------------------------------------------*/

.lp-img-vault {
  display: -webkit-box;
  display: flex;
  margin: 0 -15px;

  flex-wrap: wrap;
}

.lp-img-vault > div {
  padding: 0 15px;
}

.lp-message-wrapper {
  width: 100%;
}


.lp-message-nohits {
  color: #e30000;
  font-weight: bold;
}

.lp-message-nohits > * {
  color: #000;
  font-weight: initial;
}

.lp-image-vault-content {
  width: 75%;
}

.lp-img-vault-filters {
  width: 25%;
}

.lp-img-vault-filters > form {
  background: #faf5e6;
  margin: 5px 0 0;
  padding: 20px;
}

.lp-img-vault-filters input[type=text] {
  width: 100%;
}

.lp-img-vault-filters h2 {
  margin: 0 0 10px;
}

.lp-img-vault-filters form > div {
  margin: 20px 0 0;
}




/*
---------------------------------------------------------
FULLSKÄRMSLÄGE
---------------------------------------------------------*/

.lp-fullscreen-mode {
  overflow: hidden;
}


.lp-fullscreen-image-wrapper {
  background: rgba(255, 255, 255, 0.9);
  box-sizing: border-box;
  height: 100vh;
  left: 0;
  overflow: hidden;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 20px 20px 20px 310px;
  position: fixed;
  top: 0;
  width: 100vw;
  z-index: 1000;
}

.lp-fullscreen-image {
  background: 50% 0 no-repeat;
  background-size: contain;
  box-sizing: border-box;
  height: 100%;
  width: 100%;
}

.lp-fullscreen-image img {
  display: none;
  height: auto;
  width: 100vw;
}

.lp-image-info {
  background: #faf5e6;
  left: 0;
  margin: 0 auto;
  max-width: 250px;
  padding: 20px;
  position: absolute;
  top: 20px;
}

ul.lp-image-meta {
  list-style-type: none;
  margin: 0;
  padding: 0;

  flex-wrap: wrap;
}

ul.lp-image-meta li {
  box-sizing: border-box;
  font-size: 1.3rem;
  padding: 5px 0;
}

ul.lp-image-meta strong {
  margin: 0 6px 0 0;
}

.lp-vault-terms {
  -webkit-box-align: center;
  align-items: center;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  display: -webkit-box;
  display: flex;
  font-size: 1.3rem;
  margin: 20px 0 0;
  padding: 10px 0 0;

  flex-wrap: wrap;
}

.lp-vault-terms strong {
  display: block;
  width: 100%;
}

.lp-vault-terms span {
  display: block;
  margin: 0 0 8px;
}

.lp-vault-terms input {
  margin: 0 7px 0 0;
}

.lp-vault-terms label {
  font-style: italic;
  margin: 0;
}

.lp-image-download {
  background: transparent;
  border: 4px solid #d19700;
  box-sizing: border-box;
  color: #000;
  display: block;
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 150%;
  margin: 20px 0 0;
  padding: 10px 30px;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
  transition: all 0.3s ease;
}

.lp-image-download:hover,
.lp-image-download:focus {
  background: #d19700;
  color: #000;
}

/*
---------------------------------------------------------
MEDDELANDE
---------------------------------------------------------*/

.lp-message-wrapper > div {
  -webkit-box-align: center;
  align-items: center;
  background: #faf5e6;
  display: -webkit-box;
  display: flex;
  margin: 0 0 20px;
  padding: 10px 20px;

  -webkit-box-pack: justify;
  justify-content: space-between;
}

.lp-message {
  display: -webkit-box;
  display: flex;

  -webkit-box-flex: 1;
  flex: 1 1 auto;
}

.lp-message * {
  display: -webkit-box;
  display: flex;
  margin: 0;
  padding: 0;
}

.lp-filter-name {
  margin: 0 8px 0 16px;
}

.lp-filter-values li {
  font-weight: bold;
  margin: 0 8px 0 0;
}

.lp-remove-filters {
  border: 2px solid #d19700;
  box-sizing: border-box;
  color: #000;
  display: inline-block;
  font-size: 1.4rem;
  font-weight: bold;
  line-height: 150%;
  padding: 7px 30px;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
  transition: all 0.3s ease;
}

.lp-remove-filters:hover {
  text-decoration: underline;
}

/*
---------------------------------------------------------
STÄNGKNAPP
---------------------------------------------------------*/

.lp-img-vault-close {
  background: #fff;
  min-width: 0 !important;
  padding: 10px !important;
  position: absolute;
  right: 20px;
  top: 20px;
}
